iOS 4.0 Need help Jailbreaking my Touch 2nd Gen.

Discussion in 'iOS Jailbreak & Cydia' started by chriss, Jun 23, 2010.

  1. chriss

    chriss Active Member

    Joined:
    Jun 21, 2010
    Messages:
    457
    Likes Received:
    30
    Device:
    iPhone 5 (White)
    I already have the OS4 installed, but now I want to jailbreak my iPod, so that I can add the other features from the OS4 onto my iPod (multitask).

    Could anyone help me?
    I know there are guides, but I don't really work well with them, and I get scared that if I run into a problem, the guide can't explain it and I end up stuck... Plus I'm not very smart tech wise so I probably wouldn't be able to get out of any problem by myself xD

    I'm on a Window 7. If anyone could help i'd really truly appreciate it.
  2. NitroBum

    NitroBum Active Member

    Joined:
    Feb 23, 2009
    Messages:
    1,549
    Likes Received:
    12
    Device:
    iPhone 4S (Black)
    Use redsn0w to jailbreak. I hope this helps. The entire redsn0w program is pretty self explanatory.
  3. chriss

    chriss Active Member

    Joined:
    Jun 21, 2010
    Messages:
    457
    Likes Received:
    30
    Device:
    iPhone 5 (White)
    Okay, thank you C:
    ------------------double post merged------------------
    I'm already lost lmao... Told you I don't understan this tech stuff/language.

    It tells me to "Please select the corresponding IPSW for your CURRENT firmware".

    And then I click Browse, but I have no idea where to go and what to select...
    ------------------double post merged------------------
    I guess I'll wait till' tomorrow xD
    It's getting too late :c

    But I'm basically left in the first part... I need to browse this IPSW stuff, I have no idea what to do there...
  4. Jarlath

    Jarlath Retired Moderator

    Joined:
    Mar 21, 2008
    Messages:
    2,321
    Likes Received:
    0
    Before you jailbreak, one question: what type of iPod do you have? The redsn0w jailbreak only works on the iPod Touch 2G. If you're trying to do a 3G, it won't work.
  5. chriss

    chriss Active Member

    Joined:
    Jun 21, 2010
    Messages:
    457
    Likes Received:
    30
    Device:
    iPhone 5 (White)
    It's an iPod Touch second generation, as i said on the title. 8GB
    ------------------double post merged------------------
    If anyone knows what I have to select when it asks me to brows for the IPSW for my current firmware, pleeease let me know >w<
    I must go to bed, it's 1am and I have to be up in 5 hours lmao.
    Night, thanks for the help, really appreciate it C:
  6. uberchief

    uberchief New Member

    Joined:
    Jun 23, 2010
    Messages:
    5
    Likes Received:
    0
    Device:
    2G iPod touch
    Well first off, did you download your firmware over a file hosting site or update from iTunes?
    if you updated from iTunes you will have to locate it in:
    C:/User/(the account you're on)/app data/roaming/apple computer/itunes/ipod software updates.
    iPod2,1_4.0_8A293_restore.ipsw is the file name since you want your iOS 4 jailbroken.
    if you can't find the app data folder then you have to go to control panel and search for Folder options then click on the show hidden files and folders. after you click on that check the bubble that says show folders and file that are hidden.
    ( I strongly recommend you to move the ipsw file to your desktop or an easier accessed folder )
    If you downloaded your ipsw file from the internet it will be in the folder you saved it to.
    Now since you have redsn0w, click browse and select the ipsw file (it's in one of the two locations listed above) then you have to verify if it is an MC model( if it is and MC you'll have to wait till the official release)
    if you don't know on you ipod go to:
    Settings/general/about/model
    hope this helps !

    ******NOTE*******
    I have been having problems with redsn0w 0.9.5b5-4 and previous beta versions with the official iOS 4 non GM
    when i click on my ipsw it says that it is unable to recognize the ipsw. For some reason it works with the GM version of iOS 4.
    *the devteam said that this beta would work on the non GM version. if anyone can help please pm me!!!!!

Share This Page